#### 3.2.11 The `mailer` Statement ¶

#### Syntax ¶

    mailer {
      url url;
    }

#### Description ¶

A mailer is a special logical entity GNU Mailutils uses for sending messages. Its internal representation is discussed in Mailer. The `mailer` statement configures it.

The mailer statement contains a single sub-statement:

Configuration: url str ¶

  Set the mailer URL.

GNU Mailutils supports three types of mailer URLs, described in the table below:

smtp://[user[:pass][;auth=mech,...]@]host[:port][;params]
smtps://[user[:pass][;auth=mech,...]@]host[:port][;params]

  Send messages using SMTP protocol. See SMTP Mailboxes, for a detailed description of the URL and its parts.

sendmail[://progname]

  Use sendmail-compatible program progname. Sendmail-compatible means that the program must support following command line options:

  `-oi`

    Do not treat ‘`.`’ as message terminator.

  `-f addr`

    Use addr as the sender address.

  `-t`

    Get recipient addresses from the message.

  See sendmail, for details.

prog://progname?query

  A prog mailer. This is a generalization of ‘`sendmail`’ mailer that allows to use arbitrary external programs as mailers.

  It is described in detain in prog.